//
// Created by nicolas on 23/03/18.
//

#ifndef ESC_EVENT_DATA_H
#define ESC_EVENT_DATA_H

#include "utils/uuid.h"
#include "utils/bool.h"
#include "utils/buffer.h"

typedef struct st_esc_event_data {
    uuid_t*     event_id;
    const char* event_type;
    bool_t      is_json;
    buffer_t*   data;
    buffer_t*   metadata;
} esc_event_data_t;

esc_event_data_t* esc_event_data_create(uuid_t* event_id, const char* event_type, bool_t is_json, buffer_t* data, buffer_t* metadata);
void esc_event_data_destroy(esc_event_data_t*);

#endif //ESC_EVENT_DATA_H
